Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
hung1608

Xoay Đoạn Thẳng

Các bài được khuyến nghị

Mình có 1 đoạn thảng chỉ chiều nước chảy , mình muốn nó xoay ngược lại hướng nước chảy

Thông thường mình dùng Rotate chọn trung điểm rùi quay 180 độ là được

Nhưng có những bản vẽ đoạn thảng rất dài và nhiều cái kèm theo phải tìm trung diểm phải Zoom bản vẽ hơi nhiều

Các bạn xem giúp mình xem có cách nào click 1 phat là được kết quả xoay 180 độ tại trung điêm được không

Thanks

http://www.cadviet.com/upfiles/5/11317_line.dwg

  • Vote tăng 1
  • Vote giảm 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thể dục buổi sáng giúp bạn đây :D

(defun c:xoay ( / cmd ss ename info dxf10 dxf11)
(setq cmd (getvar 'cmdecho))
(setvar 'cmdecho 0)
(prompt "\nChon (cac) LINE muon xoay 180 do !")
(setq ss (ssget '((0 . "LINE"))))
(if ss
	(repeat (sslength ss)
		(setq info (entget (setq ename (ssname ss 0)))
			  dxf10 (cdr (assoc 10 info))
			  dxf11 (cdr (assoc 11 info))
			  info (subst (cons 10 dxf11) (assoc 10 info) info)
			  info (subst (cons 11 dxf10) (assoc 11 info) info)
		)
		(entmod info)
		(ssdel ename ss)
	)
(alert "\n*** Khong chon duoc thang nao ca ^|^ ***")
)
(setvar 'cmdecho cmd)
(princ)
)
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×